﻿local _, englishClass = UnitClass("player")
	if (englishClass ~="PALADIN") then
		return
end
function ClassTimer:CreateTimers()
--buffs
	self:AddRule("Buffs","Divine Protection")
	self:AddRule("Buffs","Divine Shield")
--stuns
	self:AddRule("Stuns","Hammer of Justice")
	self:AddRule("Stuns","Repentance")
--blessings
	self:AddRule("Blessings","Blessing of Light")
	self:AddRule("Blessings","Blessing of Might")
	self:AddRule("Blessings","Blessing of Protection")
	self:AddRule("Blessings","Blessing of Sacrifice")
	self:AddRule("Blessings","Blessing of Salvation")
	self:AddRule("Blessings","Blessing of Sanctuary")
	self:AddRule("Blessings","Blessing of Wisdom")
	self:AddRule("Blessings","Greater Blessing of Kings")
	self:AddRule("Blessings","Greater Blessing of Light")
	self:AddRule("Blessings","Greater Blessing of Might")
	self:AddRule("Blessings","Greater Blessing of Salvation")
	self:AddRule("Blessings","Greater Blessing of Sanctuary")
	self:AddRule("Blessings","Greater Blessing of Wisdom")
--misc
	self:AddRule("Misc","Turn Undead")
	self:AddRule("Misc","Consecration")
	self:AddRule("Misc","Light's Grace")
	self:AddRule("Misc","Divine Illumination")
	self:AddRule("Misc","Avenger's Shield")
	self:AddRule("Misc","Redoubt")
	self:AddRule("Misc","Vindication")
end

tinsert(ClassTimer.timers, ClassTimer.Paladin)

function ClassTimer:OnUpdate()
	self:SetupBuffs("player")
	self:SetupBuffs("target")
	for i = 1, 4 do 
		self:SetupBuffs("party"..i)
	end
	for i = 1, 40 do
		self:SetupBuffs("raid"..i)
	end
	
	self:SetupDebuffs("focus")
	self:SetupDebuffs("target")
end 

ClassTimer.target = {debuffs = {}, buffs = {}}
ClassTimer.focus = {debuffs = {}}
ClassTimer.player = {buffs = {}}
for i = 1, 4 do 
	ClassTimer["party"..i] = {buffs = {}}
end
for i = 1, 40 do
	ClassTimer["raid"..i] = {buffs = {}}
end 
